#!/bin/sh

projet_1="heathin-2.0.tar.gz"
projet_2="heathout-2.0.tar.gz"
projet_3="gheather-2.0.tar.gz"

fichiers="$projet_1 $projet_2 $projet_3"

export LIBS=-lglib
configure_prefixe="/usr"

for i in $fichiers
do
  if [ ! -f $i ]
   then
       echo "Le fichier <$i> n'est pas l"
       exit 1
  fi

  echo "Traitement de $i... \c"

  if [ $i = $projet_3 ]
  then
     configure_prefixe="/usr/X"
  else
     configure_prefixe="/usr"
  fi

  tar -xzvf $i
  cd `basename $i .tar.gz`

  ./configure --prefix=$configure_prefixe

  if [ $? -ne 0 ]
  then
      echo "problme avec le configure de $i"
      cd -
      exit -1
  fi

  make

  if [ $? -ne 0 ]
  then
      echo "problme avec le make de $i"
      cd -
      exit -1
  fi

  make install

  if [ $? -ne 0 ]
  then
      echo "problme avec l'install de $i"
      cd -
      exit -1
  fi

  echo "Ok."
  cd -

done

# Creation du premier fichier de status avec 0
# et RAZ des lignes de l'interface. L'interface doit tre branch
# et active !!!

/usr/bin/heathout 0

chmod +s /usr/bin/heathout





